import { getProducers } from "~/server/actions/allProducers";
import { getWines } from "../server/actions/allWines";
import CreateWine from "./CreateWine";
export const dynamic = "force-dynamic";

const allWines = await getWines();
const allProducers = await getProducers();

function WineCards() {
  return (
    <>
      {allWines.map((wine) => (
        <div key={wine.id}>
          {wine.name} - {wine.producer}
        </div>
      ))}
    </>
  );
}

export default async function HomePage() {
  return (
    <main className="">
      <div className="container ">
        <h1>Yes hello</h1>
        <CreateWine />
        <WineCards />
      </div>
    </main>
  );
}
